This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 677332 - (CVE-2011-0706) CVE-2011-0706 IcedTea multiple signers privilege escalation
CVE-2011-0706 IcedTea multiple signers privilege escalation
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=redhat,public...
: Security
Depends On: 671269
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-14 06:53 EST by Marc Schoenefeld
Modified: 2015-08-19 11:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 11:31:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2011-02-14 06:53:56 EST
The JNLPClassLoader implementation incorrectly assigns ALL_PERMISSIONS to untrusted code in multiple signer scenarios. An attacker could misuse this to elevate privileges.
Comment 7 Tomas Hoger 2011-03-01 10:29:15 EST
Fixed in IcedTea6 1.7.10, IcedTea6 1.8.7 and IcedTea6 1.9.7:
http://blog.fuseyism.com/index.php/2011/02/15/security-icedtea6-1710-187-and-197-released/
Comment 8 Marc Schoenefeld 2011-03-01 10:41:15 EST
Statement:

This issue did not affect the versions of the java-1.6.0-openjdk package as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 9 Andrew John Hughes 2015-08-19 10:49:03 EDT
I'm not sure why this bug is still open, but the product is separate from the java-1.x.0-openjdk packages these days and is called "IcedTea-Web".

Note You need to log in before you can comment on or make changes to this bug.